Name:           vhosts_provisioner
Version:        1.0.0
Release:        lp155.5.1
Summary:        Vhosts ng provisioning agent
License:        Apache-2.0
Group:          Development/Languages/Ruby
URL:            https://intercom.it
Source:         %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  ruby-macros >= 5
BuildRequires:  systemd-rpm-macros
Requires:       rubygem(ruby:2.5.0:bender-vhng:2) >= 2.0.0
Requires:       rubygem(ruby:2.5.0:ygg_provisioner:1.4) >= 1.4.0

%description
Vhosts ng provisioning agent

%prep

%setup

%build

%install
%make_install
install -D -m 0644 support/vhosts_provisioner.service %{buildroot}%{_unitdir}/vhosts_provisioner.service
install -D -m 0644 support/vhosts_provisioner.tempfiles %{buildroot}%{_tmpfilesdir}/vhosts_provisioner.conf
ln -s /usr/sbin/service %{buildroot}%{_sbindir}/rcvhosts_provisioner

%pre
%{_bindir}/getent group  tomte >/dev/null || %{_sbindir}/groupadd -r tomte
%{_bindir}/getent passwd tomte >/dev/null || %{_sbindir}/useradd -r -d %{_localstatedir}/lib/vhosts_provisioner -s /bin/false -c "tomte agent" -g tomte tomte
%service_add_pre vhosts_provisioner.service
exit 0

%preun
%service_del_preun vhosts_provisioner.service
exit 0

%post
%tmpfiles_create %_tmpfilesdir/vhosts_provisioner.conf
%service_add_post vhosts_provisioner.service
exit 0

%postun
%service_del_postun vhosts_provisioner.service
exit 0

%files
%defattr(-, root, root)

%dir %{_sysconfdir}/tomte
%dir /usr/lib/vhosts_provisioner/bin
%dir /usr/lib/vhosts_provisioner/lib
%dir /usr/lib/vhosts_provisioner/lib/tomte
%dir /usr/lib/vhosts_provisioner/lib/tomte/agents
%dir /usr/lib/vhosts_provisioner/lib/ygg/
%dir /usr/lib/vhosts_provisioner/lib/ygg/vhosts
%dir /usr/lib/vhosts_provisioner/lib/ygg/vhosts/provisioner

%dir /usr/lib/vhosts_provisioner
%attr(0700, tomte, tomte) %dir %{_localstatedir}/lib/vhosts_provisioner
%attr(0700, tomte, tomte) %dir /var/log/tomte
%attr(0700, tomte, tomte) %dir /var/log/tomte/vhosts_provisioner

%config(noreplace) %{_sysconfdir}/tomte/tomte.yml
%config(noreplace) %{_sysconfdir}/tomte/vhosts_provisioner.yml
%config %{_sysconfdir}/logrotate.d/vhosts_provisioner
%attr(0440, root, root) %config %{_sysconfdir}/sudoers.d/vhosts_provisioner

%{_unitdir}/vhosts_provisioner.service
%{_tmpfilesdir}/vhosts_provisioner.conf

%{_sbindir}/rcvhosts_provisioner
%attr(0755, root, root) %{_sbindir}/vhosts_provisioner
%attr(0755, root, root) /usr/lib/vhosts_provisioner/bin/vhosts_provisioner
/usr/lib/vhosts_provisioner/lib/tomte/agents/vhosts_provisioner.rb
/usr/lib/vhosts_provisioner/lib/vhosts_provisioner.rb
/usr/lib/vhosts_provisioner/lib/ygg/vhosts/provisioner/task.rb
/usr/lib/vhosts_provisioner/lib/ygg/vhosts/provisioner/version.rb
/usr/lib/vhosts_provisioner/lib/ygg/vhosts/provisioner/vhost.rb
/usr/lib/vhosts_provisioner/lib/ygg/vhosts/provisioner/worker.rb

%ghost %{_sysconfdir}/sudoers.d
%ghost /run/vhosts_provisioner


%changelog
